Skip to main content
GET
/
api
/
publicapi
/
v1
/
catalogs
/
{catalogId}
/
search
Returns catalog records filtered by prefix
curl --request GET \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/search \
  --header 'Authorization: Bearer <token>'
{
  "catalogInfo": {
    "id": "<string>",
    "name": "<string>",
    "columns": [
      {
        "name": "<string>",
        "type": "Text",
        "notEmpty": true,
        "title": "<string>",
        "parameterType": "Text",
        "order": 123,
        "isPredefined": true
      }
    ],
    "catalogType": "Custom",
    "description": "<string>",
    "importFileName": "<string>",
    "locale": "International",
    "recordsCount": 123,
    "usedInSkills": [
      {
        "skillId": "<string>",
        "version": 123
      }
    ],
    "lastRecordsUpdateTime": "<string>"
  },
  "records": [
    {
      "externalId": "<string>",
      "columnValues": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

catalogId
string
required

Catalog Id

Query Parameters

prefix
string

Prefix value. Minimum length - 2 symbols.

Minimum string length: 2
Limit
integer<int32>

Maximum number of records to return in the response.

Offset
integer<int32>

Offset for pagination. It specifies the number of records to skip before starting to collect the result set.

Response

OK

Represents the result of a catalog search operation.

catalogInfo
object

Additional information about data set profile of type 'Catalog'

records
object[] | null

List of catalog records that match the search criteria.